﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SDRSharp.DDETracker
{
    public partial class DdeTrackingConfigForm : Form
    {
        private readonly DdeTrackingPanel _owner;

        public string ApplicationName
        {
            get { return appNameTb.Text; }
        }

        public string LinkTopic
        {
            get { return itemTb.Text; }
        }

        public string LinkItem
        {
            get { return topicTb.Text; }
        }

        public DdeTrackingConfigForm(DdeTrackingPanel owner)
        {
            InitializeComponent();
            _owner = owner;
        }
        
        private void DdeTrackingConfig_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            Hide();
        }

        private void DdeTrackingConfigForm_VisibleChanged(object sender, EventArgs e)
        {
            refreshTimer.Enabled = Visible;
        }

        private void refreshTimer_Tick(object sender, EventArgs e)
        {
            itemTb.Enabled = !_owner.IsConnected;
            topicTb.Enabled = !_owner.IsConnected;
            appNameTb.Enabled = !_owner.IsConnected;
            wxTrackRadioBtn.Enabled = !_owner.IsConnected;
            orbitronRadioBtn.Enabled = !_owner.IsConnected;
        }

        private void RadioBtn_CheckedChanged(object sender, EventArgs e)
        {            
            if (wxTrackRadioBtn.Checked)
            {
                appNameTb.Text = "WxTrack";
                itemTb.Text = "Tracking";
                topicTb.Text = "Tracking";
                return;
            }
            if (orbitronRadioBtn.Checked)
            {
                appNameTb.Text = "Orbitron";
                topicTb.Text = "Tracking";
                itemTb.Text = "TrackingData";
                return;
            }
            if (satPc32RadioBtn.Checked)
            {
                appNameTb.Text = "SatPC32";
                topicTb.Text = "SatPcDdeConv";
                itemTb.Text = "SatPcDdeItem";
                return;
            }
        }      
    }
}
